/* ---------汎用UI--------- */

/* チェックボックス カスタマイズ */
.checkbox{
    display: flex;
    align-items: flex-start;
    /* 変数定義 */
    --checkbox-size: 20px;
}
.checkbox__input{
    display: none;
}
.checkbox__ui{
    position: relative;
    display: inline-block;
    cursor: pointer;
    /* 以下は各デザインに合わせて変更する箇所 */
    width: var(--checkbox-size);
    height: var(--checkbox-size);
    border: 1px solid #CCCCCC;
    border-radius: 2px;
    background-color: #fff;
    margin-right: 10px;
    margin-bottom: 0;
    flex-shrink: 0;
    /* margin-left: -50% * (.checkbox__label:nth-child(1) > 0 ? .checkbox__label:nth-child(1).width / 2 : 0); */
}

.checkbox__ui--error{
    border: 1px solid #FC0301;
    background-color: #FFEEEE;
}

.checkbox__input:checked + .checkbox__ui{
    /* 以下は各デザインに合わせて変更する箇所 */
    background-color: #018DCD;
    border: 1px solid #018DCD;
}
.checkbox__input:checked + .checkbox__ui::after{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    content: '';
    /* 以下はsvg画像を使用する場合に変更する箇所 */
    background-image: url(/assets/img/form/check-icon.svg);
    width: 15.7px;
    height: 10.4px;
}
.checkbox__label{
    font-size: 16px;
    line-height: var(--checkbox-size);
    cursor: pointer;
}
/* ラジオボタン カスタマイズ */
.radio{
    display: flex;
    align-items: flex-start;
    /* 変数定義 */
    --radio-size: 20px;
}
/* ラベルが複数行の場合、頭揃えのために以下のクラスを付与する */
.radio--multi-line{
    align-items: flex-start;
}
.radio__input{
    display: none;
}
.radio__ui{
    position: relative;
    display: inline-block;
    cursor: pointer;
    width: var(--radio-size);
    height: var(--radio-size);
    border: 1px solid #CCCCCC;
    border-radius: 10px;
    background-color: #fff;
    margin-right: 10px;
    margin-bottom: 0;
    flex-shrink: 0;
}

.radio__ui--error{
    border: 1px solid #FC0301;
    background-color: #FFEEEE;

}
.radio__input:checked + .radio__ui{
    border: 1px solid #018DCD;
}
.radio__input:checked + .radio__ui::after{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    content: '';
    background-image: url(/assets/img/form/radio-icon.svg);
    width: 14px;
    height: 14px;
}
.radio__label{
    font-size: 16px;
    line-height: var(--radio-size);
    margin-bottom: 0;
    cursor: pointer;
}

/* 複数行テキスト入力　カスタマイズ */
.input-textarea{
    display: block;
    width: 100%;
    padding: 5px 10px 4px;
    border: 1px solid #CCCCCC;
    border-radius: 6px;
    background-color: #fff;
    font-size: 16px;
    font-weight: 700;
    line-height: 29px;
}
.input-textarea--error{
    border: 1px solid #FC0301;
    background-color: #FFEEEE;
}

.input-textarea--optional{
    margin-top: 8px;
}
.input-textarea--narrow{
    max-width: 420px;
}
@media (max-width: 749.98px) {
    .input-textarea{
        padding: 5px 7px 4px;
    }
}
/* 複数行テキスト入力　カスタマイズ 終わり */

/* 一行テキスト入力　カスタマイズ */
.text-form{
    display: inline-block;
    width: 100%;
    max-width: 420px;
    padding: 5px 10px 4px;
    border: 1px solid #CCCCCC;
    border-radius: 6px;
    background-color: #fff;
    font-size: 16px;
    font-weight: 700;
    line-height: 29px;
    box-sizing: border-box;
}
.text-form--narrow{
    max-width: 210px;
}
.text-form--wide{
    max-width: 633px;
}
.text-form--error{
    border: 1px solid #FC0301;
    background-color: #FFEEEE;
}
.text-form[type="text"][readonly] {
    background-color: #e8f3ff; /* 背景色を薄くして読み取り専用を示す */
    color: #000000; /* テキストの色を少し暗くする */
    cursor: not-allowed; /* カーソルを禁止マークにする */
    border: 1px solid #e8f3ff; /* 境界線を通常の状態と同じに保つか、やや薄くする */
    font-size: 18px;

    font-weight: 900;
}

/* [type="text"]は、不要であれば削除 */
.text-form[type="text"]{
    display: inline-block;
    width: 100%;
    max-width: 420px;
    padding: 5px 10px 4px;
    border: 1px solid #CCCCCC;
    border-radius: 6px;
    background-color: #fff;
    font-size: 16px;
    font-weight: 700;
    line-height: 29px;
    box-sizing: border-box;
}

.text-form[type="text"].text-form--narrow{
    max-width: 210px;
}

.text-form[type="text"].text-form--error{
    border: 1px solid #FC0301;
    background-color: #FFEEEE;
}

.text-form[type="text"].text-form--wide{
    max-width: unset;
}


/* END: ---------汎用UI--------- */






/* ボタン関連　カスタマイズ */
.form__search-button{
    width: 100px;
    height: 40px;
    margin-left: 14px;
    border-radius: 6px;
    color: #fff;
    font-size: 14px;
    font-family: "M PLUS 1p";
    font-weight: bold;
    background-color: #00A0E9;
    cursor: pointer;
    transition: .3s all ease;
    flex-shrink: 0;
}
.form__search-button:hover{
    opacity: 50%;
}
.form__search-button--disabled{
    background-color: #a1a1a1;
    cursor: not-allowed;
}
.form__search-button--disabled:hover{
    opacity: 100%;
}

@media (max-width: 749.98px) {
    .form__search-button{
        width: 80px;
        margin-left: 10px;
    }
}
.submit-button{
    display: block;
    margin: 0 auto;
    color: #fff;
    font-size: 24px;
    font-family: "M PLUS 1p";
    line-height: 29px;
    width: 100%;
    max-width: 310px;
    height: 69px;
    padding: 20px;
    border: none;
    border-radius: 40px;
    background-color: #00A0E9;
    transition: .3s all ease;
    cursor: pointer;
}
.submit-button--narrow{
    max-width: 238px;
}
.submit-button--wide{
    max-width: 406px;
}
.submit-button:hover{
    opacity: 50%;
}
@media (max-width: 749.98px) {
    .submit-button{
        font-size: 14px;
        max-width: 260px;
        height: 39px;
        padding: 5px;
    }
    .submit-button--narrow{
        max-width: 218px;
    }
}
.btn-rectangle{
    display: block;
    width: fit-content;
    padding: 10px 40px;
    background-color: #00A0E9;
    border-radius: 10px;
    color: #FFF;
    font-family: "M PLUS 1p", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 29px;
    transition: .3s all ease;
    cursor: pointer;
}
.btn-rectangle:hover{
    opacity: 50%;
}
@media (max-width: 749.98px) {
    .btn-rectangle{
        width: 100%;
        max-width: 300px;
        padding: 10px 20px;
        font-size: 16px;
        font-weight: 700;
        line-height: 29px;
    }
}
/* ボタン関連　カスタマイズ 終わり */

/* リンク関連　カスタマイズ */
.link-underline{
    display: block;
    width: fit-content;
    color: #00A0E9;
    font-size: 16px;
    font-weight: 500;
    font-weight: 700;
    line-height: 29px;
    text-align: center;
    text-decoration-line: underline;
    cursor: pointer;
}
.link-underline:hover{
    text-decoration-line: unset;
}
@media (max-width: 749.98px) {
    .link-underline{
        font-size: 14px;
        font-style: normal;
    }
}
/* リンク関連　カスタマイズ　終わり */

/* 法人情報検索 モーダルウインドウ カスタマイズ 関連 */
.corporation-search-modal{
    display: flex;
    flex-direction: column;
    max-width: 600px;
    width: 90%;
    height: fit-content;
    border-radius: 20px;
    background-color: #fff;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10100;
    min-height: 340px;
}
.corporation-search-modal--hidden{
    display: none;
}
.corporation-search-modal__head{
    display: block;
    width: 100%;
    margin-bottom: 0;
    padding: 15px 0;
    border-bottom: 1px solid #CCCCCC;
    text-align: center;
    font-size: 14px;
    line-height: 29px;
}
.corporation-search-modal__body{
    width: 100%;
    padding: 30px 60px;
    margin: auto 0;
    transition: .3s all ease;
}
.corporation-search-modal__loading-icon{
    display: block;
    margin: 40px auto;
    width: fit-content;
}
.corporation-search-modal__loading-icon--hidden{
    display: none;
}
.corporation-search-modal__body-success{
    display: block;
}
.corporation-search-modal__body-success--hidden{
    display: none;
}
.corporation-search-modal__body-fail{
    display: block;
}
.corporation-search-modal__body-fail--hidden{
    display: none;
}
.corporation-search-modal__message{
    margin-bottom: 0;
    font-size: 16px;
    font-weight: 700;
    line-height: 29px;
}
.corporation-search-modal__result-name{
    display: block;
    margin-bottom: 0;
    font-size: 24px;
    font-weight: 700;
    line-height: 43.2px;
}
.corporation-search-modal__result-place{
    display: block;
    margin-bottom: 0;
    font-size: 18px;
    font-weight: 700;
    line-height: 32px;
}
.corporation-search-modal__button--rectangle{
    margin: 40px auto 0;
}
.corporation-search-modal__button--underline{
    margin: 16px auto 0;
}
/* 背景色 */
.corporation-search-modal-bg{
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10001;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
}
.corporation-search-modal-bg--hidden{
    display: none;
}
@media (max-width: 749.98px) {
    .corporation-search-modal{
        min-height: unset;
    }
    .corporation-search-modal__head{
        padding: 14px 20px;
    }
    .corporation-search-modal__body{
        padding: 20px 36px;
    }
    .corporation-search-modal__result-name{
        font-size: 20px;
        line-height: 32px;
    }
    .corporation-search-modal__result-place{
        font-size: 14px;
        line-height: 22.4px;
    }
    .corporation-search-modal__button--rectangle{
        margin: 32px auto 0;
    }
}
/* モーダルウインドウ カスタマイズ 関連 ここまで */

/* レイアウト */
.text-form-2columns{
    display: flex;
}
.text-form-2columns__item{
    display: block;
    width: calc(50% - 4px);
    max-width: 210px;
    margin-left: 24px;
}
.text-form-2columns__item:first-of-type{
    margin-left: 0;
}

@media (max-width: 749.98px) {
    .text-form{
        padding: 5px 7px 4px;
    }
    /* [type="text"]は、不要であれば削除 */
    .text-form[type="text"]{
        padding: 5px 7px 4px;
    }
    .text-form-2columns__item{
        margin-left: 8px;
    }
    .text-form-2columns__item:first-of-type{
        margin-left: 0;
    }
}


/* 余白・レイアウト */
.form{
    width: 853px;
    padding: 60px 110px;
    margin: 43px auto 30px;
    border-radius: 20px;
    background-color: #fff;

    /* 変数定義 */
    --itemPadding: 20px;
}
.form__input-area{
    margin-bottom: 60px;
}
.form__fieldset{
    padding-top: var(--itemPadding);
    padding-bottom: var(--itemPadding);
}
.form__fieldset--hidden{
    display: none;
}
.form__fieldset:first-of-type{
    padding: 0 0 20px;
}
.form__fieldset:last-of-type{
    padding: 20px 0 0;
}
.form__fieldset:first-of-type > .form__label--legend{
    top: 0;
}
.form__label{
    display: block;
    margin: 0 0 8px 0;
    font-size: 16px;
    font-weight: 700;
    /* line-height: 29px; */
}
.form__label--mb-large{
    margin-bottom: 16px;
}
.form__label--mb-small{
    margin-bottom: 4px;
}
.form__label--mb-0{
    margin-bottom: 0;
}


.form__label--legend{
    position: relative;
    top: var(--itemPadding);
}
.form__label--small{
    display: block;
    font-size: 12px;
}
.form__checkbox{
    margin-bottom: 17px;
}
.form__checkbox:last-of-type{
    margin-bottom: 0;
}
.form__radio{
    margin-bottom: 17px;
}
.form__radio:last-of-type{
    margin-bottom: 0;
}
.form__label-note{
    display: inline;
    font-size: 14px;
    font-weight: 500;
}
.form__label-required{
    display: inline;
    margin: 0 0 0 10px;
    padding: 1px 7px;
    background-color: #F9A333;
    color: white;
    font-size: 12px;
    font-weight: 700;
    border-radius: 4px;
    vertical-align: -webkit-baseline-middle;
}
.form__label-required--hidden{
    display: none;
}

.form__label-annotation{
    display: block;
    margin: 6px 0 0 0;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 18px;
    color: #666;
}
.form__label-annotation--inline-block{
    display: inline-block;
    margin: 0 0 0 9px;
}
.form__search-inner{
    display: flex;
}
@media (max-width: 749.98px) {
    .form{
        width: 100%;
        padding: 40px 20px;
        margin: 40px auto 20px
    }
    .form__label-annotation--inline-block{
        display: block;
        margin: 6px 0 0 0;
    }
}

.field-hide{
    display: none;
}


/* 申請完了 */
.form__complete-message{
    margin-bottom: 40px;
}
.form__complete-text{
    font-size: 24px;
    font-family: "M PLUS 1p";
    text-align: center;
}
@media (max-width: 749.98px) {
    .form__complete-message{
        margin-bottom: 30px;
    }
    .form__complete-text{
        font-size: 18px;
    }
}



/* 送信内容の確認画面 */
.form__confirm-area{
    margin-bottom: 30px;
}
.confirm{
    padding-top: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #CCCCCC;
}
.confirm:first-of-type{
    padding: 0 0 20px;
}
.confirm_item{
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 5px;
}
.confirm_item--mb-large{
    margin-bottom: 16px;
}
.confirm__input-value{
    margin-bottom: 0;
    font-weight: 500;
}
.form__button-area{
    display: flex;
    align-items: center;
    justify-content: center;
}
.correction{
    display: flex;
    align-items: center;
    margin-right: 30px;
}
.correction__link{
    font-size: 16px;
    margin-left: 9px;
    flex-shrink: 0;
}
.correction__submit-button{
    margin: 0;
}
@media (max-width: 749.98px) {
    .correction{
        margin-right: 27px;
    }
    .correction__link{
        font-size: 14px;
    }
}

/* エラーメッセージ */
.error-message{
    display: flex;
    align-items: center;
    font-size: 12px;
    color: #FC0301;
    margin-top: 10px;
    line-height: 1.3;
}
.error-message--hidden{
    display: none;
}
.error-message::before{
    content: "！";
    display: flex;
    justify-content: center;
    align-items: center;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    margin-right: 5px;
    color: #FFFFFF;
    background-color: #FC0301;
    flex-shrink: 0;
}